<?php
/**
 * Lawyer Lite Theme Customizer
 *
 * @package lawyer-lite
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function lawyer_lite_customize_register( $wp_customize ) {	

	//add home page setting pannel
	$wp_customize->add_panel( 'lawyer_lite_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'lawyer-lite' ),
	    'description' => __( 'Description of what this panel does.', 'lawyer-lite' ),
	) );

	//Layouts
	$wp_customize->add_section( 'lawyer_lite_left_right', array(
    	'title'      => __( 'Layout Settings', 'lawyer-lite' ),
		'priority'   => 30,
		'panel' => 'lawyer_lite_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('lawyer_lite_layout_options',array(
	        'default' => __('Right Sidebar','lawyer-lite'),
	        'sanitize_callback' => 'lawyer_lite_sanitize_choices'	        
	)  );
	$wp_customize->add_control('lawyer_lite_layout_options',array(
	    'type' => 'radio',
	    'label' => __('Change Layouts','lawyer-lite'),
	    'section' => 'lawyer_lite_left_right',
	    'choices' => array(
	        'Left Sidebar' => __('Left Sidebar','lawyer-lite'),
	        'Right Sidebar' => __('Right Sidebar','lawyer-lite'),
	        'One Column' => __('One Column','lawyer-lite'),
	        'Three Columns' => __('Three Columns','lawyer-lite'),
	        'Four Columns' => __('Four Columns','lawyer-lite'),
	        'Grid Layout' => __('Grid Layout','lawyer-lite')
	    ),
	) );
	$font_array = array(
        '' => 'No Fonts',
        'Abril Fatface' => 'Abril Fatface', 
        'Acme' => 'Acme', 
        'Anton' => 'Anton',
        'Architects Daughter' =>'Architects Daughter', 
        'Arimo' => 'Arimo', 
        'Arsenal' => 'Arsenal', 
        'Arvo' => 'Arvo', 
        'Alegreya' => 'Alegreya',
        'Alfa Slab One' =>  'Alfa Slab One', 
        'Averia Serif Libre' =>  'Averia Serif Libre',
        'Bangers' => 'Bangers', 
        'Boogaloo' => 'Boogaloo',
        'Bad Script' => 'Bad Script', 
        'Bitter' =>  'Bitter', 
        'Bree Serif' => 'Bree Serif', 
        'BenchNine' => 'BenchNine',
        'Cabin' => 'Cabin', 
        'Cardo' => 'Cardo', 
        'Courgette' => 'Courgette', 
        'Cherry Swash' => 'Cherry Swash', 
        'Cormorant Garamond' => 'Cormorant Garamond', 
        'Crimson Text' => 'Crimson Text',
        'Cuprum' => 'Cuprum', 
        'Cookie' => 'Cookie', 
        'Chewy' => 'Chewy', 
        'Days One' => 'Days One',
        'Dosis' => 'Dosis', 
        'Droid Sans' => 'Droid Sans',
        'Economica' =>  'Economica',
        'Fredoka One' => 'Fredoka One', 
        'Fjalla One' => 'Fjalla One', 
        'Francois One' => 'Francois One', 
        'Frank Ruhl Libre' => 'Frank Ruhl Libre', 
        'Gloria Hallelujah' => 'Gloria Hallelujah',
        'Great Vibes' =>  'Great Vibes', 
        'Handlee' => 'Handlee',
        'Hammersmith One' =>'Hammersmith One', 
        'Inconsolata' => 'Inconsolata', 
        'Indie Flower' => 'Indie Flower', 
        'IM Fell English SC' => 'IM Fell English SC',
        'Julius Sans One' => 'Julius Sans One', 
        'Josefin Slab' => 'Josefin Slab', 
        'Josefin Sans' => 'Josefin Sans',
        'Kanit' => 'Kanit', 
        'Lobster' =>  'Lobster', 
        'Lato' => 'Lato', 
        'Lora' =>'Lora',
        'Libre Baskerville' =>  'Libre Baskerville', 
        'Lobster Two' => 'Lobster Two',
        'Merriweather' => 'Merriweather', 
        'Monda' => 'Monda', 
        'Montserrat' => 'Montserrat', 
        'Muli' => 'Muli', 
        'Marck Script' => 'Marck Script', 
        'Noto Serif' => 'Noto Serif', 
        'Open Sans' => 'Open Sans', 
        'Overpass' => 'Overpass', 
        'Overpass Mono' =>  'Overpass Mono', 
        'Oxygen' => 'Oxygen', 
        'Orbitron' => 'Orbitron',
        'Patua One' => 'Patua One', 
        'Pacifico' =>  'Pacifico',
        'Padauk' => 'Padauk',
        'Playball' =>  'Playball', 
        'Playfair Display' => 'Playfair Display',
        'PT Sans' => 'PT Sans', 
        'Philosopher' => 'Philosopher', 
        'Permanent Marker' => 'Permanent Marker', 
        'Poiret One' => 'Poiret One', 
        'Quicksand' => 'Quicksand', 
        'Quattrocento Sans' =>'Quattrocento Sans',
        'Raleway' => 'Raleway', 
        'Rubik' => 'Rubik', 
        'Rokkitt' => 'Rokkitt', 
        'Russo One' => 'Russo One', 
        'Righteous' => 'Righteous', 
        'Slabo' => 'Slabo', 
        'Source Sans Pro' => 'Source Sans Pro',
        'Shadows Into Light Two' => 'Shadows Into Light Two',
        'Shadows Into Light' => 'Shadows Into Light',
        'Sacramento' => 'Sacramento', 
        'Shrikhand' => 'Shrikhand',
        'Tangerine' => 'Tangerine', 
        'Ubuntu' => 'Ubuntu', 
        'VT323' => 'VT323', 
        'Varela Round' => 'Varela Round',
        'Vampiro One' => 'Vampiro One', 
        'Vollkorn' => 'Vollkorn', 
        'Volkhov' => 'Volkhov', 
        'Yanone Kaffeesatz' =>'Yanone Kaffeesatz'
    );

	//Typography
	$wp_customize->add_section( 'lawyer_lite_typography', array(
    	'title'      => __( 'Typography', 'lawyer-lite' ),
		'priority'   => 30,
		'panel' => 'lawyer_lite_panel_id'
	) );
	
	// This is Paragraph Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_paragraph_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_paragraph_color', array(
		'label' => __('Paragraph Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_paragraph_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_paragraph_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( 'Paragraph Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting('lawyer_lite_paragraph_font_size',array(
		'default'	=> '12px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_paragraph_font_size',array(
		'label'	=> __('Paragraph Font Size','lawyer-lite'),
		'section'	=> 'lawyer_lite_typography',
		'setting'	=> 'lawyer_lite_paragraph_font_size',
		'type'	=> 'text'
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_atag_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_atag_color', array(
		'label' => __('"a" Tag Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_atag_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_atag_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( '"a" Tag Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_li_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_li_color', array(
		'label' => __('"li" Tag Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_li_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_li_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( '"li" Tag Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_h1_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_h1_color', array(
		'label' => __('H1 Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_h1_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_h1_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( 'H1 Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('lawyer_lite_h1_font_size',array(
		'default'	=> '50px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_h1_font_size',array(
		'label'	=> __('H1 Font Size','lawyer-lite'),
		'section'	=> 'lawyer_lite_typography',
		'setting'	=> 'lawyer_lite_h1_font_size',
		'type'	=> 'text'
	));

	// This is H2 Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_h2_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_h2_color', array(
		'label' => __('h2 Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_h2_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_h2_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( 'h2 Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('lawyer_lite_h2_font_size',array(
		'default'	=> '45px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_h2_font_size',array(
		'label'	=> __('h2 Font Size','lawyer-lite'),
		'section'	=> 'lawyer_lite_typography',
		'setting'	=> 'lawyer_lite_h2_font_size',
		'type'	=> 'text'
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_h3_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_h3_color', array(
		'label' => __('h3 Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_h3_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_h3_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( 'h3 Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('lawyer_lite_h3_font_size',array(
		'default'	=> '36px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_h3_font_size',array(
		'label'	=> __('h3 Font Size','lawyer-lite'),
		'section'	=> 'lawyer_lite_typography',
		'setting'	=> 'lawyer_lite_h3_font_size',
		'type'	=> 'text'
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_h4_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_h4_color', array(
		'label' => __('h4 Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_h4_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_h4_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( 'h4 Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('lawyer_lite_h4_font_size',array(
		'default'	=> '30px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_h4_font_size',array(
		'label'	=> __('h4 Font Size','lawyer-lite'),
		'section'	=> 'lawyer_lite_typography',
		'setting'	=> 'lawyer_lite_h4_font_size',
		'type'	=> 'text'
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_h5_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_h5_color', array(
		'label' => __('h5 Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_h5_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_h5_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( 'h5 Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('lawyer_lite_h5_font_size',array(
		'default'	=> '25px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_h5_font_size',array(
		'label'	=> __('h5 Font Size','lawyer-lite'),
		'section'	=> 'lawyer_lite_typography',
		'setting'	=> 'lawyer_lite_h5_font_size',
		'type'	=> 'text'
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting( 'lawyer_lite_h6_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lawyer_lite_h6_color', array(
		'label' => __('h6 Color', 'lawyer-lite'),
		'section' => 'lawyer_lite_typography',
		'settings' => 'lawyer_lite_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('lawyer_lite_h6_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices'
	));
	$wp_customize->add_control(
	    'lawyer_lite_h6_font_family', array(
	    'section'  => 'lawyer_lite_typography',
	    'label'    => __( 'h6 Fonts','lawyer-lite'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('lawyer_lite_h6_font_size',array(
		'default'	=> '18px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_h6_font_size',array(
		'label'	=> __('h6 Font Size','lawyer-lite'),
		'section'	=> 'lawyer_lite_typography',
		'setting'	=> 'lawyer_lite_h6_font_size',
		'type'	=> 'text'
	));

	//Top Bar
	$wp_customize->add_section('lawyer_lite_topbar_header',array(
		'title'	=> __('Top Bar Section','lawyer-lite'),
		'description'	=> __('Add Top Bar Content here','lawyer-lite'),
		'priority'	=> null,
		'panel' => 'lawyer_lite_panel_id',
	) );

	$wp_customize->add_setting('lawyer_lite_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	) );
	$wp_customize->add_control('lawyer_lite_facebook_url',array(
		'label'	=> __('Add Facebook link','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_facebook_url',
		'type'	=> 'url'
	) );

	$wp_customize->add_setting('lawyer_lite_twitter_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	) );	
	$wp_customize->add_control('lawyer_lite_twitter_url',array(
		'label'	=> __('Add Twitter link','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_twitter_url',
		'type'	=> 'url'
	) );

	$wp_customize->add_setting('lawyer_lite_linkdin_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	) );	
	$wp_customize->add_control('lawyer_lite_linkdin_url',array(
		'label'	=> __('Add Linkdin link','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_linkdin_url',
		'type'	=> 'url'
	) );

	$wp_customize->add_setting('lawyer_lite_google_plus_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	) );	
	$wp_customize->add_control('lawyer_lite_google_plus_url',array(
		'label'	=> __('Add Google Plus link','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_google_plus_url',
		'type'	=> 'url'
	) );

	$wp_customize->add_setting('lawyer_lite_youtube_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	) );	
	$wp_customize->add_control('lawyer_lite_youtube_url',array(
		'label'	=> __('Add Youtube link','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_youtube_url',
		'type'		=> 'url'
	) );

	$wp_customize->add_setting('lawyer_lite_mail',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_mail',array(
		'label'	=> __('Email Text','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lawyer_lite_email',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('lawyer_lite_email',array(
		'label'	=> __('Add Email','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_email',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lawyer_lite_call',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_call',array(
		'label'	=> __('Phone Text','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'type'		=> 'text'
	));


	$wp_customize->add_setting('lawyer_lite_call1',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('lawyer_lite_call1',array(
		'label'	=> __('Add Phone Number','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_call',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lawyer_lite_location',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_location',array(
		'label'	=> __('Location','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lawyer_lite_location1',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('lawyer_lite_location1',array(
		'label'	=> __('Add address','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_time',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lawyer_lite_time',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('lawyer_lite_time',array(
		'label'	=> __('Timing','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lawyer_lite_time1',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('lawyer_lite_time1',array(
		'label'	=> __('Add Time','lawyer-lite'),
		'section'	=> 'lawyer_lite_topbar_header',
		'setting'	=> 'lawyer_lite_time',
		'type'		=> 'text'
	));

	//Slider
	$wp_customize->add_section( 'lawyer_lite_slidersettings' , array(
    	'title'      => __( 'Slider Settings', 'lawyer-lite' ),
		'priority'   => null,
		'panel' => 'lawyer_lite_panel_id'
	) );

	$wp_customize->add_setting('lawyer_lite_slider_hide_show',array(
      'default' => 'false',
      'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('lawyer_lite_slider_hide_show',array(
	  'type' => 'checkbox',
	  'label' => __('Show / Hide slider','lawyer-lite'),
	  'section' => 'lawyer_lite_slidersettings',
	));

	for ( $count = 0; $count <= 3; $count++ ) {

		// Add color scheme setting and control.
		$wp_customize->add_setting( 'lawyer_lite_slider_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'lawyer_lite_sanitize_dropdown_pages'
		) );

		$wp_customize->add_control( 'lawyer_lite_slider_page' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'lawyer-lite' ),
			'section'  => 'lawyer_lite_slidersettings',
			'type'     => 'dropdown-pages'
		) );
	}
	
	//About
	$wp_customize->add_section('lawyer_lite_about',array(
		'title'	=> __('About Section','lawyer-lite'),
		'description'	=> __('Add About sections below.','lawyer-lite'),
		'panel' => 'lawyer_lite_panel_id',
	));

	$post_list = get_posts();
	$i = 0;
	$pst[]='Select';  
	foreach($post_list as $post){
	$pst[$post->post_title] = $post->post_title;
	}

	$wp_customize->add_setting('lawyer_lite_post',array(
	  'sanitize_callback' => 'lawyer_lite_sanitize_choices',
	));
	$wp_customize->add_control('lawyer_lite_post',array(
	 'type'    => 'select',
	 'choices' => $pst,
	 'label' => __('Select post','lawyer-lite'),
	 'section' => 'lawyer_lite_about',
	));

	//footer
	$wp_customize->add_section('lawyer_lite_footer_section',array(
		'title'	=> __('Footer Text','lawyer-lite'),
		'description'	=> __('Add some text for footer like copyright etc.','lawyer-lite'),
		'priority'	=> null,
		'panel' => 'lawyer_lite_panel_id',
	));
	
	$wp_customize->add_setting('lawyer_lite_footer_copy',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));	
	$wp_customize->add_control('lawyer_lite_footer_copy',array(
		'label'	=> __('Copyright Text','lawyer-lite'),
		'section'	=> 'lawyer_lite_footer_section',
		'type'		=> 'text'
	));
}
add_action( 'customize_register', 'lawyer_lite_customize_register' );	


/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Lawyer_Lite_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Lawyer_Lite_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Lawyer_Lite_Customize_Section_Pro(
				$manager,
				'example_1',
				array(
					'priority'   => 9,
					'title'    => esc_html__( 'Lawyer Pro Theme', 'lawyer-lite' ),
					'pro_text' => esc_html__( 'Go Pro','lawyer-lite' ),
					'pro_url'  => esc_url('https://www.themeshopy.com/themes/premium-lawyer-wordpress-theme/'),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'lawyer-lite-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'lawyer-lite-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Lawyer_Lite_Customize::get_instance();